## glite-lb-ws-test 1.3.0

=== Makefile ===
top_srcdir=..
stagedir=.
version=0.0.0
PREFIX=/opt/glite
prefix=

glite_location=/opt/glite
globus_prefix=/opt/globus
expat_prefix=/opt/expat
cares_prefix=/opt/c-ares
gsoap_prefix=/opt/gsoap
classads_prefix=/opt/classads
voms_prefix=/opt/voms

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

CEXAMPLES:=ws_getversion ws_jobstat ws_joblog ws_lb4agu_GetActivityStatus ws_lb4agu_GetActivityInfo
#TODO ws_query_ex 
TESTS:=sizeof_soap_test

default all: ${CEXAMPLES}

GLOBUS_GSSAPI_GSI_CFLAGS?=-I${globus_prefix}/include/${nothrflavour}

ifeq (${thrflavour},)
default_flavour=
else
default_flavour=_${nothrflavour}
endif

VPATH=${top_srcdir}/examples:${top_srcdir}/tests
CC=gcc
DEBUG:=-g -O0 -Wall
CFLAGS:=${CFLAGS} -I${gsoap_prefix}/include -I${gsoap_prefix}/ \
	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
	${GLOBUS_GSSAPI_GSI_CFLAGS} \
	${GSOAP_CFLAGS} \
	${DEBUG}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
INSTALL:=libtool --mode=install install

GSOAP_FILES_PREFIX:= bk_ws_
dotless_gsoap_ver:=${shell echo ${gsoap_default_version} | tr -d . }
ifeq ($(shell test -f ${stagedir}${prefix}/${libdir}/libglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}_c.so && echo ok),ok)
	langflavour:=_c
endif
GSOAP_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}${langflavour}

WS_CLIENT_OBJS:= $(GSOAP_FILES_PREFIX)C.o $(GSOAP_FILES_PREFIX)Client.o ws_fault.o
# ws_typeref.o
WS_CLIENT_LIBS:= ${GSOAP_LIB} 

SOAP_FILES:=${GSOAP_FILES_PREFIX}H.h ${GSOAP_FILES_PREFIX}C.c ${GSOAP_FILES_PREFIX}Server.c ${GSOAP_FILES_PREFIX}Client.c ${GSOAP_FILES_PREFIX}ServerLib.c ${GSOAP_FILES_PREFIX}ClientLib.c LoggingAndBookkeeping.nsmap

gsoap_bin_prefix:=${shell if [ -x  ${gsoap_prefix}/bin/soapcpp2 ]; then echo ${gsoap_prefix}/bin; else echo ${gsoap_prefix}; fi }

${SOAP_FILES}: %: LB.xh
	${gsoap_bin_prefix}/soapcpp2 -w -c -p ${GSOAP_FILES_PREFIX} LB.xh

${CEXAMPLES}: %: %.o ${WS_CLIENT_OBJS}
	${LINK} -o $@ $@.o ${WS_CLIENT_OBJS} ${WS_CLIENT_LIBS}

sizeof_soap_test: sizeof_soap_test.o
	${LINK} -o $@ $<

%.o %.lo: %.c soap_version.h ${SOAP_FILES}
	${COMPILE} -c $<

check: ${TESTS}
	./sizeof_soap_test

stage: all
	$(MAKE) install PREFIX=${stagedir}

install:
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/
	for f in ${CEXAMPLES}; do \
		${INSTALL} -m 755 $$f ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$f; \
	done

clean:
	rm -rvf .libs LB.xh *.xml ${GSOAP_FILES_PREFIX}* *.o *.lo *.nsmap soap_version.h ${CEXAMPLES} ${TESTS}

distclean:
	rm -rvf Makefile.inc *.spec debian/

LB.xh: ws_typemap.dat ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
	${gsoap_bin_prefix}/wsdl2h -c -t ${top_srcdir}/examples/ws_typemap.dat -I${stagedir}${prefix}/share/wsdl/glite-lb -o $@ ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl

soap_version.h:
	${gsoap_bin_prefix}/soapcpp2 /dev/null 
	perl -ne '$$. == 2 && /.*([0-9]+)\.([0-9]+)\.([0-9]+)([a-z]?).*/ && printf "#define GSOAP_VERSION %d%02d%02d\n#define GSOAP_VERSION_LETTER '\''".($$4?$$4:"\\0")."'\''\n",$$1,$$2,$$3' soapH.h >$@
	-rm soapC.cpp soapH.h soapStub.h soapClient.cpp soapServer.cpp soapClientLib.cpp soapServerLib.cpp

.PHONY: default all check stage install clean distclean

=== debian/changelog ===
glite-lb-ws-test (1.3.0-5) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:54:58 +0200

=== debian/control ===
Source: glite-lb-ws-test
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, gsoap, glite-lb-ws-interface, libglite-lbjp-common-gsoap-plugin-dev, libtool
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-ws-test
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lb-ws-interface
Description: Tests and usage examples of L&B WS interface
 Tests and usage examples of L&B WS
 interface.

Package: glite-lb-ws-test-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-ws-test (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B Web Service tests debugging symbols
 This package contains debugging symbols for gLite L&B Web Service tests.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.ws-test
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lb-ws-test-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-ws-test 1.3.1

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 ifeq ($(shell test -f ${stagedir}${prefix}/${libdir}/libglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}_c.so && echo ok),ok)
 	langflavour:=_c
 endif
-GSOAP_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}${langflavour}
+GSOAP_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}${langflavour} ${GSOAP_LIBS}
 
 WS_CLIENT_OBJS:= $(GSOAP_FILES_PREFIX)C.o $(GSOAP_FILES_PREFIX)Client.o ws_fault.o
 # ws_typeref.o

=== debian/changelog ===
glite-lb-ws-test (1.3.1-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:26:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, gsoap, glite-lb-ws-interface, libglite-lbjp-common-gsoap-plugin-dev, libtool
+Build-Depends: debhelper (>= 7.0.50~), chrpath, gsoap, glite-lb-ws-interface, libglite-lbjp-common-gsoap-plugin-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: misc
 Homepage: http://glite.cern.ch

## glite-lb-ws-test 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 top_srcdir=..
 stagedir=.
+package=glite-lb-ws-test
 version=0.0.0
 PREFIX=/opt/glite
 prefix=
@@ -12,16 +13,24 @@
 classads_prefix=/opt/classads
 voms_prefix=/opt/voms
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
+SOURCES=\
+	examples/*.c examples/*.h examples/*.pl examples/ws_typemap.dat \
+	tests/*.c \
+	Makefile
+SOURCES_EXEC=examples/*.sh
+
 CEXAMPLES:=ws_getversion ws_jobstat ws_joblog ws_lb4agu_GetActivityStatus ws_lb4agu_GetActivityInfo
 #TODO ws_query_ex 
 TESTS:=sizeof_soap_test
 
-default all: ${CEXAMPLES}
+all: ${CEXAMPLES}
 
 GLOBUS_GSSAPI_GSI_CFLAGS?=-I${globus_prefix}/include/${nothrflavour}
 
@@ -33,12 +42,15 @@
 
 VPATH=${top_srcdir}/examples:${top_srcdir}/tests
 CC=gcc
+
+GLITE_LBJP_COMMON_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gsoap-plugin --cflags`
+
 DEBUG:=-g -O0 -Wall
 CFLAGS:=${CFLAGS} -I${gsoap_prefix}/include -I${gsoap_prefix}/ \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	${GLOBUS_GSSAPI_GSI_CFLAGS} \
 	${GSOAP_CFLAGS} \
-	${DEBUG}
+	${DEBUG} ${GLITE_LBJP_COMMON_CFLAGS} ${CFLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
@@ -85,6 +97,7 @@
 
 clean:
 	rm -rvf .libs LB.xh *.xml ${GSOAP_FILES_PREFIX}* *.o *.lo *.nsmap soap_version.h ${CEXAMPLES} ${TESTS}
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -97,4 +110,4 @@
 	perl -ne '$$. == 2 && /.*([0-9]+)\.([0-9]+)\.([0-9]+)([a-z]?).*/ && printf "#define GSOAP_VERSION %d%02d%02d\n#define GSOAP_VERSION_LETTER '\''".($$4?$$4:"\\0")."'\''\n",$$1,$$2,$$3' soapH.h >$@
 	-rm soapC.cpp soapH.h soapStub.h soapClient.cpp soapServer.cpp soapClientLib.cpp soapServerLib.cpp
 
-.PHONY: default all check stage install clean distclean
+.PHONY: default all check stage install clean distclean dist distcheck

=== debian/changelog ===
glite-lb-ws-test (1.4.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200

## glite-lb-ws-test 1.4.6

=== Makefile ===
--- 
+++ 
@@ -100,7 +100,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 LB.xh: ws_typemap.dat ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
 	${gsoap_bin_prefix}/wsdl2h -c -t ${top_srcdir}/examples/ws_typemap.dat -I${stagedir}${prefix}/share/wsdl/glite-lb -o $@ ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl

=== debian/changelog ===
glite-lb-ws-test (1.4.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:55 +0100

## glite-lb-ws-test 1.4.8

=== debian/changelog ===
glite-lb-ws-test (1.4.8-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:04 +0200

## glite-lb-ws-test 1.4.9

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 GLITE_LBJP_COMMON_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gsoap-plugin --cflags`
 
 DEBUG:=-g -O0 -Wall
-CFLAGS:=${CFLAGS} -I${gsoap_prefix}/include -I${gsoap_prefix}/ \
+CFLAGS:=-I${gsoap_prefix}/include -I${gsoap_prefix}/ \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	${GLOBUS_GSSAPI_GSI_CFLAGS} \
 	${GSOAP_CFLAGS} \

=== debian/changelog ===
glite-lb-ws-test (1.4.9-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:41 +0100

=== debian/control ===
--- 
+++ 
@@ -23,5 +23,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-ws-test (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B Web Service tests debugging symbols
+Description: Debugging symbols for gLite L&B Web Service tests
  This package contains debugging symbols for gLite L&B Web Service tests.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=glite-lb-ws-test
+p_dbg=glite-lb-ws-test-dbg
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +30,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,14 +39,16 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -51,7 +56,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lb-ws-test-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lb-ws-test 1.4.11

=== Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	${DEBUG} ${GLITE_LBJP_COMMON_CFLAGS} ${CFLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 GSOAP_FILES_PREFIX:= bk_ws_

=== debian/changelog ===
glite-lb-ws-test (1.4.11-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:46 +0200

=== debian/control ===
Source: glite-lb-ws-test
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), gsoap, glite-lb-ws-interface, libglite-lbjp-common-gsoap-plugin-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch

Package: glite-lb-ws-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tests and usage examples of L&B Web Service interface
 Tests and usage examples of Logging and Bookkeeping Web Service
 interface.

Package: glite-lb-ws-test-dbg
Section: debug
Architecture: any
Depends: glite-lb-ws-test (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B Web Service tests
 Tests and usage examples of Logging and Bookkeeping Web Service
 interface.
 .
 This package contains debugging symbols for gLite L&B Web Service tests.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-ws-test
p_dbg=glite-lb-ws-test-dbg

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_base)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.ws-test/glite-lb-ws-test-(.*)\.tar\.gz
